/*  GSnull
 *  Copyright (C) 2002-2010  PCSX2 Dev Team
 *
 *  PCSX2 is free software: you can redistribute it and/or modify it under the terms
 *  of the GNU Lesser General Public License as published by the Free Software Found-
 *  ation, either version 3 of the License, or (at your option) any later version.
 *
 *  PCSX2 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *  PURPOSE.  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with PCSX2.
 *  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <windows.h>
#include <windowsx.h>


#include "resource.h"
#include "../GS.h"

HINSTANCE hInst;
extern HWND GShwnd;

void SysMessage(char *fmt, ...)
{
    va_list list;
    char tmp[512];

    va_start(list, fmt);
    vsprintf(tmp, fmt, list);
    va_end(list);
    MessageBox((GShwnd != NULL) ? GShwnd : GetActiveWindow(), tmp, "GS Plugin Msg", 0);
}

BOOL CALLBACK ConfigureDlgProc(HWND hW, UINT uMsg, WPARAM wParam, LPARAM lParam)
{

    switch (uMsg) {
        case WM_INITDIALOG:
            GSLoadConfig();
            if (GSconf.Log)
                CheckDlgButton(hW, IDC_LOGGING, TRUE);
            return TRUE;

        case WM_COMMAND:
            switch (LOWORD(wParam)) {
                case IDCANCEL:
                    EndDialog(hW, TRUE);
                    return TRUE;
                case IDOK:
                    if (IsDlgButtonChecked(hW, IDC_LOGGING))
                        GSconf.Log = 1;
                    else
                        GSconf.Log = 0;
                    GSSaveConfig();
                    EndDialog(hW, FALSE);
                    return TRUE;
            }
    }
    return FALSE;
}

BOOL CALLBACK AboutDlgProc(HWND hW, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    switch (uMsg) {
        case WM_INITDIALOG:
            return TRUE;

        case WM_COMMAND:
            switch (LOWORD(wParam)) {
                case IDOK:
                    EndDialog(hW, FALSE);
                    return TRUE;
            }
    }
    return FALSE;
}

EXPORT_C_(void)
GSconfigure()
{
    DialogBox(hInst,
              MAKEINTRESOURCE(IDD_CONFIG),
              GetActiveWindow(),
              (DLGPROC)ConfigureDlgProc);
}

EXPORT_C_(void)
GSabout()
{
    DialogBox(hInst,
              MAKEINTRESOURCE(IDD_ABOUT),
              GetActiveWindow(),
              (DLGPROC)AboutDlgProc);
}
#ifndef BUILTIN_GS_PLUGIN
BOOL APIENTRY DllMain(HANDLE hModule, // DLL INIT
                      DWORD dwReason,
                      LPVOID lpReserved)
{
    hInst = (HINSTANCE)hModule;
    return TRUE; // very quick :)
}
#endif
