/*  PadNull
 *  Copyright (C) 2004-2010  PCSX2 Dev Team
 *
 *  PCSX2 is free software: you can redistribute it and/or modify it under the terms
 *  of the GNU Lesser General Public License as published by the Free Software Found-
 *  ation, either version 3 of the License, or (at your option) any later version.
 *
 *  PCSX2 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 *  PURPOSE.  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with PCSX2.
 *  If not, see <http://www.gnu.org/licenses/>.
 */

#include <windows.h>

#include "resource.h"
#include "../Pad.h"

HINSTANCE hInst;

BOOL CALLBACK ConfigureDlgProc(HWND hW, UINT uMsg, WPARAM wParam, LPARAM lParam)
{

    switch (uMsg) {
        case WM_INITDIALOG:
            PADLoadConfig();
            if (conf.Log)
                CheckDlgButton(hW, IDC_LOGGING, TRUE);
            return TRUE;

        case WM_COMMAND:
            switch (LOWORD(wParam)) {
                case IDCANCEL:
                    EndDialog(hW, TRUE);
                    return TRUE;
                case IDOK:
                    if (IsDlgButtonChecked(hW, IDC_LOGGING))
                        conf.Log = 1;
                    else
                        conf.Log = 0;
                    PADSaveConfig();
                    EndDialog(hW, FALSE);
                    return TRUE;
            }
    }
    return FALSE;
}

BOOL CALLBACK AboutDlgProc(HWND hW, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    switch (uMsg) {
        case WM_INITDIALOG:
            return TRUE;

        case WM_COMMAND:
            switch (LOWORD(wParam)) {
                case IDOK:
                    EndDialog(hW, FALSE);
                    return TRUE;
            }
    }
    return FALSE;
}

EXPORT_C_(void)
PADconfigure()
{
    DialogBox(hInst,
              MAKEINTRESOURCE(IDD_CONFIG),
              GetActiveWindow(),
              (DLGPROC)ConfigureDlgProc);
}

EXPORT_C_(void)
PADabout()
{
    DialogBox(hInst,
              MAKEINTRESOURCE(IDD_ABOUT),
              GetActiveWindow(),
              (DLGPROC)AboutDlgProc);
}
#ifndef BUILTIN_PAD_PLUGIN
BOOL APIENTRY DllMain(HANDLE hModule,  // DLL INIT
                      DWORD dwReason,
                      LPVOID lpReserved)
{
    hInst = (HINSTANCE)hModule;
    return TRUE;  // very quick :)
}
#endif
